#language: ru

@mutual_settlements

Функционал: 001. mutual_settlements. Создание и проверка НСИ

Сценарий: 001.1. mutual_settlements. Группы взаиморасчетов

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.001. Взаиморасчеты"
	Дано я удаляю объекты "Справочники.к2ГруппыВзаиморасчетов" без контроля ссылок
	И Я создаю группу взаиморасчетов "Молоко"

Сценарий: 001.2. mutual_settlements. Заполенение группы взаиморасчетов в товарной категории

	И Я заполняю группу взаиморасчетов в товарной категории "Молоко"

Сценарий: 001.3. mutual_settlements. Создание графиков оплаты

	Дано я удаляю объекты "Справочники.к2ГрафикиОплаты" без контроля ссылок
	* Перекресток
		И Я начинаю создавать график оплаты "Перекресток" с формой оплаты "Любая"
		* Заполнение основного графика
			И Я добавляю вариант оплаты "Предоплата" с моментом определения "На дату накладной" со сдвигом "2" и процентом "40,00"
			И Я добавляю вариант оплаты "Кредит" с моментом определения "На дату отгрузки" со сдвигом "3" и процентом "60,00"
		* Заполнение уточняющего графика оплаты
			И я разворачиваю группу с именем "Группа_Уточнения"
			И Я добавляю уточнение варианта оплаты "Предоплата" для "Молоко" с моментом определения "На дату заказа" со сдвигом "4" и процентом "20,00"
			И Я добавляю уточнение варианта оплаты "Кредит" для "Молоко" с моментом определения "На дату доставки" со сдвигом "6" и процентом "80,00"
		* Установка календаря
			И я меняю значение переключателя с именем 'РежимУчетаОтсрочки' на 'по календарным дням'
		* Проверка заполненных значений
			Тогда элемент формы с именем "Наименование" стал равен 'Перекресток'
			И элемент формы с именем "ФормаОплаты" стал равен 'Любая'
			И таблица "ЭтапыОплаты" стала равной:
				| 'Вариант оплаты' | '% оплаты' | 'Дата оплаты'       | 'Срок(дн)' |
				| 'Предоплата'     | '40,00'    | 'На дату накладной' | '2'        |
				| 'Кредит'         | '60,00'    | 'На дату отгрузки'  | '3'        |
			И таблица "УточненияЭтаповОплаты" стала равной:
				| 'Группа взаиморасчетов' | 'Вариант оплаты' | '% оплаты' | 'Дата оплаты'      | 'Срок(дн)' |
				| 'Молоко'                | 'Предоплата'     | '20,00'    | 'На дату заказа'   | '4'        |
				| 'Молоко'                | 'Кредит'         | '80,00'    | 'На дату доставки' | '6'        |
			И элемент формы с именем "РежимУчетаОтсрочки" стал равен '0'
			И элемент формы с именем "Календарь" стал равен ''
		И я заканчиваю создавать график оплаты
	* Табрис
		И Я начинаю создавать график оплаты "Табрис" с формой оплаты "Наличными"
		* Заполнение основного графика
			И Я добавляю вариант оплаты "Предоплата" с моментом определения "На дату заказа" со сдвигом "3" и процентом "50,00"
			И Я добавляю вариант оплаты "Кредит" с моментом определения "На дату доставки" со сдвигом "4" и процентом "50,00"
		* Заполнение уточняющего графика оплаты
			И я разворачиваю группу с именем "Группа_Уточнения"
			И Я добавляю уточнение варианта оплаты "Предоплата" для "Молоко" с моментом определения "На дату накладной" со сдвигом "2" и процентом "30,00"
			И Я добавляю уточнение варианта оплаты "Кредит" для "Молоко" с моментом определения "На дату отгрузки" со сдвигом "2" и процентом "70,00"
		* Установка календаря
			И я меняю значение переключателя с именем 'РежимУчетаОтсрочки' на 'по рабочему календарю'
			И из выпадающего списка с именем "Календарь" я выбираю по строке 'Российская Федерация'
		* Проверка заполненных значений
			Тогда элемент формы с именем "Наименование" стал равен 'Табрис'
			И элемент формы с именем "ФормаОплаты" стал равен 'Наличными'
			И таблица "ЭтапыОплаты" стала равной:
				| 'Вариант оплаты' | '% оплаты' | 'Дата оплаты'      | 'Срок(дн)' |
				| 'Предоплата'     | '50,00'    | 'На дату заказа'   | '3'        |
				| 'Кредит'         | '50,00'    | 'На дату доставки' | '4'        |
			И таблица "УточненияЭтаповОплаты" стала равной:
				| 'Группа взаиморасчетов' | 'Вариант оплаты' | '% оплаты' | 'Дата оплаты'       | 'Срок(дн)' |
				| 'Молоко'                | 'Предоплата'     | '30,00'    | 'На дату накладной' | '2'        |
				| 'Молоко'                | 'Кредит'         | '70,00'    | 'На дату отгрузки'  | '2'        |
			И элемент формы с именем "РежимУчетаОтсрочки" стал равен '1'
			И элемент формы с именем "Календарь" стал равен 'Российская Федерация'
		И я заканчиваю создавать график оплаты
	* Лента
		И Я начинаю создавать график оплаты "Лента" с формой оплаты "Безналичными"
		* Заполнение основного графика
			И Я добавляю вариант оплаты "Предоплата" с моментом определения "На дату накладной" со сдвигом "1" и процентом "10,00"
			И Я добавляю вариант оплаты "Кредит" с моментом определения "На дату отгрузки" со сдвигом "3" и процентом "90,00"
		* Заполнение уточняющего графика оплаты
			И я разворачиваю группу с именем "Группа_Уточнения"
			И Я добавляю уточнение варианта оплаты "Предоплата" для "Молоко" с моментом определения "На дату накладной" со сдвигом "2" и процентом "50,00"
			И Я добавляю уточнение варианта оплаты "Кредит" для "Молоко" с моментом определения "На дату отгрузки" со сдвигом "3" и процентом "50,00"
		* Установка календаря
			И я меняю значение переключателя с именем 'РежимУчетаОтсрочки' на 'по календарным дням'
		* Проверка заполненных значений
			Тогда элемент формы с именем "Наименование" стал равен 'Лента'
			И элемент формы с именем "ФормаОплаты" стал равен 'Безналичными'
			И таблица "ЭтапыОплаты" стала равной:
				| 'Вариант оплаты' | '% оплаты' | 'Дата оплаты'       | 'Срок(дн)' |
				| 'Предоплата'     | '10,00'    | 'На дату накладной' | '1'        |
				| 'Кредит'         | '90,00'    | 'На дату отгрузки'  | '3'        |
			И таблица "УточненияЭтаповОплаты" стала равной:
				| 'Группа взаиморасчетов' | 'Вариант оплаты' | '% оплаты' | 'Дата оплаты'       | 'Срок(дн)' |
				| 'Молоко'                | 'Предоплата'     | '50,00'    | 'На дату накладной' | '2'        |
				| 'Молоко'                | 'Кредит'         | '50,00'    | 'На дату отгрузки'  | '3'        |
			И элемент формы с именем "РежимУчетаОтсрочки" стал равен '0'
			И элемент формы с именем "Календарь" стал равен ''
		И я заканчиваю создавать график оплаты

Сценарий: 001.4. mutual_settlements. Создание соглашений

	Дано я удаляю объекты "Справочники.к2СоглашенияСКлиентами" без контроля ссылок
	И Я создаю соглашение "Соглашение с Перекрестком с 01.01.2021" с покупателем "Перекресток" и видом цены "Цена отгрузки для Перекрестка" для организации "Нижегородский МК" с графиком оплаты "Перекресток" и порядком расчетов "По соглашениям"
	И Я создаю соглашение "Соглашение с Лентой с 01.01.2021" с покупателем "Лента" и видом цены "Цена отгрузки для Ленты" для организации "Нижегородский МК" с графиком оплаты "Лента" и порядком расчетов "По соглашениям"
	И Я создаю соглашение "Соглашение с Табрис с 01.01.2021" с покупателем "Табрис" и видом цены "Цена отгрузки для Табрис" для организации "Нижегородский МК" с графиком оплаты "Табрис" и порядком расчетов "По накладным"

Сценарий: 001.5. mutual_settlements. Создание кассы

	Дано я удаляю объекты "Справочники.к2Кассы" без контроля ссылок
	И Я создаю кассу "Основная Касса Нижегородский МК" для организации "Нижегородский МК" и подразделения "Бухгалтерия" с валютой "RUB"
	И Я создаю кассу "Тестовая" для организации "Нижегородский МК" и подразделения "Бухгалтерия" с валютой "RUB"

Сценарий: 001.6. mutual_settlements. Проверка созданной кассы
	
	И В командном интерфейсе я выбираю 'Деньги' 'Кассы'
	Тогда открылось окно 'Кассы'
	И в таблице "Список" я перехожу к строке:
		| 'Валюта' | 'Наименование'                    | 'Организация'      |
		| 'RUB'    | 'Основная Касса Нижегородский МК' | 'Нижегородский МК' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Основная Касса Нижегородский МК (Касса организации)'
	И элемент формы с именем "Наименование" стал равен 'Основная Касса Нижегородский МК'
	И элемент формы с именем "Владелец" стал равен 'Нижегородский МК'
	И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
	И элемент формы с именем "Валюта" стал равен 'RUB'
	И я нажимаю на кнопку с именем 'ФормаЗаписать'
	И Я закрываю окно 'Основная Касса Нижегородский МК (Касса организации)'
	Тогда открылось окно 'Кассы'
	И Я закрываю окно 'Кассы'

Сценарий: 001.7. mutual_settlements. Проверка отборов на форме списка касс

	И В командном интерфейсе я выбираю 'Деньги' 'Кассы'
	Тогда открылось окно 'Кассы'
	Тогда таблица "Список" стала равной:
		| 'Наименование'                    | 'Организация'      | 'Валюта' |
		| 'Основная Касса Нижегородский МК' | 'Нижегородский МК' | 'RUB'    |
		| 'Тестовая'                        | 'Нижегородский МК' | 'RUB'    |
	* Проверка отбора по организации
		И из выпадающего списка с именем "_Отбор_Владелец" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Владелец"
	* Проверка отбора по подразделению
		И из выпадающего списка с именем "_Отбор_Подразделение" я выбираю по строке 'Отдел продаж'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	* Проверка отбора по валюте
		И из выпадающего списка с именем "_Отбор_Валюта" я выбираю по строке 'RUB'
		Тогда таблица "Список" стала равной:
			| 'Наименование'                    | 'Организация'      | 'Валюта' |
			| 'Основная Касса Нижегородский МК' | 'Нижегородский МК' | 'RUB'    |
			| 'Тестовая'                        | 'Нижегородский МК' | 'RUB'    |
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Валюта"
	И Я закрываю окно 'Кассы'

Сценарий: 001.8. mutual_settlements. Очистка отборов на форме списка касс

	И В командном интерфейсе я выбираю 'Деньги' 'Кассы'
	Тогда открылось окно 'Кассы'
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Владелец"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Валюта"
	И Я закрываю окно 'Кассы'